Apis - Get
Returnerar information om API:et.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiCenter/services/{serviceName}/workspaces/{workspaceName}/apis/{apiName}?api-version=2024-03-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
api
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[a-zA-Z0-9-]{3,90}$ |
Namnet på API:et. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Namnet på resursgruppen. Namnet är skiftlägesokänsligt. |
|
service
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[a-zA-Z0-9-]{3,90}$ |
Namnet på Azure API Center-tjänsten. |
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
workspace
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[a-zA-Z0-9-]{3,90}$ |
Namnet på arbetsytan. |
|
api-version
|
query | True |
string minLength: 1 |
DEN API-version som ska användas för den här åtgärden. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Azure-åtgärden har slutförts. Sidhuvuden ETag: string |
|
| Other Status Codes |
Ett oväntat felsvar. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
Apis_Get
Exempelbegäran
Exempelsvar
{
"type": "Microsoft.ApiCenter/services/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api",
"name": "public",
"systemData": {
"createdAt": "2023-07-03T18:27:09.128871Z",
"lastModifiedAt": "2023-07-03T18:27:09.1288716Z"
},
"properties": {
"title": "Echo API",
"description": "A simple HTTP request/response service.",
"lifecycleStage": "design",
"kind": "rest",
"termsOfService": {
"url": "https://contoso.com/terms-of-service"
},
"license": {
"url": "https://contoso.com/license"
},
"externalDocumentation": [
{
"title": "Onboarding docs",
"url": "https://docs.contoso.com"
}
],
"customProperties": {
"author": "John Doe"
}
}
}
Definitioner
| Name | Description |
|---|---|
| Api |
API-entitet. |
|
Api |
Typen av API |
| Contact |
Kontaktinformation |
|
created |
Den typ av identitet som skapade resursen. |
|
Error |
Ytterligare information om resurshanteringsfelet. |
|
Error |
Felinformationen. |
|
Error |
Felsvar |
|
External |
Ytterligare extern dokumentation för API:et. |
| License |
Licensinformationen för API:et. |
|
Lifecycle |
Fasen i api-utvecklingslivscykeln |
|
system |
Metadata som rör skapande och senaste ändring av resursen. |
|
Terms |
Användningsvillkor för API:et. |
Api
API-entitet.
| Name | Typ | Description |
|---|---|---|
| id |
string (arm-id) |
Fullständigt kvalificerat resurs-ID för resursen. Till exempel "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Namnet på resursen |
| properties.contacts |
Contact[] |
Uppsättningen kontakter |
| properties.customProperties |
object |
Anpassade egenskaper |
| properties.description |
string maxLength: 1000 |
Beskrivning av API:et. |
| properties.externalDocumentation |
Uppsättningen med extern dokumentation |
|
| properties.kind |
Typ av API. Till exempel REST eller GraphQL. |
|
| properties.license |
Licensinformationen för API:et. |
|
| properties.lifecycleStage |
Aktuell livscykelfas för API:et. |
|
| properties.summary |
string maxLength: 200 |
Kort beskrivning av API:et. |
| properties.termsOfService |
Användningsvillkor för API:et. |
|
| properties.title |
string minLength: 1maxLength: 50 |
API-rubrik. |
| systemData |
Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information. |
|
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |
ApiKind
Typen av API
| Värde | Description |
|---|---|
| rest |
Ett representationstillståndsöverförings-API |
| graphql |
Api för ett Graph-frågespråk |
| grpc |
Ett gRPC API |
| soap |
ETT SOAP API |
| webhook |
Webbkrok |
| websocket |
Webb Socket |
Contact
Kontaktinformation
| Name | Typ | Description |
|---|---|---|
|
string maxLength: 100 |
Kontaktens e-postadress. |
|
| name |
string maxLength: 100 |
Namnet på kontakten. |
| url |
string (uri) maxLength: 200 |
URL för kontakten. |
createdByType
Den typ av identitet som skapade resursen.
| Värde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Name | Typ | Description |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |
ErrorDetail
Felinformationen.
| Name | Typ | Description |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorResponse
Felsvar
| Name | Typ | Description |
|---|---|---|
| error |
Felobjektet. |
ExternalDocumentation
Ytterligare extern dokumentation för API:et.
| Name | Typ | Description |
|---|---|---|
| description |
string maxLength: 500 |
Beskrivning av dokumentationen. |
| title |
string maxLength: 50 |
Dokumentationens rubrik. |
| url |
string (uri) maxLength: 200 |
URL som pekar på dokumentationen. |
License
Licensinformationen för API:et.
| Name | Typ | Description |
|---|---|---|
| identifier |
string (uri) maxLength: 50 |
SPDX-licensinformation för API:et. ID-fältet är ömsesidigt uteslutande för URL-fältet. |
| name |
string maxLength: 100 |
Namnet på licensen. |
| url |
string (uri) maxLength: 200 |
URL som pekar på licensinformationen. URL-fältet är ömsesidigt uteslutande för identifierarfältet. |
LifecycleStage
Fasen i api-utvecklingslivscykeln
| Värde | Description |
|---|---|
| design |
designsteg |
| development |
utvecklingsstadium |
| testing |
teststeg |
| preview |
I förhandsversion |
| production |
I produktion |
| deprecated |
inaktuell fas |
| retired |
Tillbakadragen fas |
systemData
Metadata som rör skapande och senaste ändring av resursen.
| Name | Typ | Description |
|---|---|---|
| createdAt |
string (date-time) |
Tidsstämpeln för resursskapande (UTC). |
| createdBy |
string |
Identiteten som skapade resursen. |
| createdByType |
Den typ av identitet som skapade resursen. |
|
| lastModifiedAt |
string (date-time) |
Tidsstämpeln för resursens senaste ändring (UTC) |
| lastModifiedBy |
string |
Identiteten som senast ändrade resursen. |
| lastModifiedByType |
Den typ av identitet som senast ändrade resursen. |
TermsOfService
Användningsvillkor för API:et.
| Name | Typ | Description |
|---|---|---|
| url |
string (uri) maxLength: 200 |
URL som pekar på tjänstvillkoren. |